/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.flowable.db.entity;

import net.northking.cctp.common.db.POJO;

import net.northking.cctp.common.saas.db.TenantPartition;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Id;

/**
 * 事件定义
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2021-11-23 20:58:03  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Entity
@Table(name = "sp_def_event")
@DynamicInsert
@DynamicUpdate
public class SpDefEvent extends TenantPartition implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_spId = "spId";
  public static final String KEY_source = "source";
  public static final String KEY_target = "target";
  public static final String KEY_label = "label";
  public static final String KEY_startPoint = "startPoint";
  public static final String KEY_endPoint = "endPoint";
  public static final String KEY_memo = "memo";
  public static final String KEY_assignee = "assignee";
  public static final String KEY_usedInterceptor = "usedInterceptor";
  public static final String KEY_visible = "visible";
  public static final String KEY_shape = "shape";
  public static final String KEY_anyToAny = "anyToAny";
  public static final String KEY_tenantId = "tenantId";

  /**
   * 主键<br>
   */
    @Id
    @Column(name = "id")
  private String id;
  /**
   * 状态流程定义<br>
   */
    @Column(name = "sp_id")
  private String spId;
  /**
   * 来源状态<br>
   */
    @Column(name = "source")
  private String source;
  /**
   * 目标状态<br>
   */
    @Column(name = "target")
  private String target;
  /**
   * 路由名称<br>
   */
    @Column(name = "label")
  private String label;
  /**
   * 开始坐标<br>
   */
    @Column(name = "start_point")
  private String startPoint;
  /**
   * 结束坐标<br>
   */
    @Column(name = "end_point")
  private String endPoint;
  /**
   * 详细描述<br>
   */
    @Column(name = "memo")
  private String memo;
  /**
   * 受理人<br>
   */
    @Column(name = "assignee")
  private String assignee;
  /**
   * 是否启用拦截器<br>
   */
    @Column(name = "is_used_interceptor")
  private Boolean usedInterceptor;
  /**
   * 是否可见（在画布中显示）<br>
   */
    @Column(name = "is_visible")
  private Boolean visible;
  /**
   * 图形样式<br>
   */
    @Column(name = "shape")
  private String shape;
  /**
   * 是否AnyToAny<br>
   */
    @Column(name = "is_any_to_any")
  private Boolean anyToAny;
  /**
   * 租户<br>
   */
    @Column(name = "tenant_id")
  private String tenantId;

  /**
   * 主键<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键<br>
   *
   * @param id 主键
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 状态流程定义<br>
   */
  public String getSpId()
  {
      return spId;
    }

  /**
   * 状态流程定义<br>
   *
   * @param spId 状态流程定义
   */
  public void setSpId(String spId)
  {
      this.spId = spId;
    }
  /**
   * 来源状态<br>
   */
  public String getSource()
  {
      return source;
    }

  /**
   * 来源状态<br>
   *
   * @param source 来源状态
   */
  public void setSource(String source)
  {
      this.source = source;
    }
  /**
   * 目标状态<br>
   */
  public String getTarget()
  {
      return target;
    }

  /**
   * 目标状态<br>
   *
   * @param target 目标状态
   */
  public void setTarget(String target)
  {
      this.target = target;
    }
  /**
   * 路由名称<br>
   */
  public String getLabel()
  {
      return label;
    }

  /**
   * 路由名称<br>
   *
   * @param label 路由名称
   */
  public void setLabel(String label)
  {
      this.label = label;
    }
  /**
   * 开始坐标<br>
   */
  public String getStartPoint()
  {
      return startPoint;
    }

  /**
   * 开始坐标<br>
   *
   * @param startPoint 开始坐标
   */
  public void setStartPoint(String startPoint)
  {
      this.startPoint = startPoint;
    }
  /**
   * 结束坐标<br>
   */
  public String getEndPoint()
  {
      return endPoint;
    }

  /**
   * 结束坐标<br>
   *
   * @param endPoint 结束坐标
   */
  public void setEndPoint(String endPoint)
  {
      this.endPoint = endPoint;
    }
  /**
   * 详细描述<br>
   */
  public String getMemo()
  {
      return memo;
    }

  /**
   * 详细描述<br>
   *
   * @param memo 详细描述
   */
  public void setMemo(String memo)
  {
      this.memo = memo;
    }
  /**
   * 受理人<br>
   */
  public String getAssignee()
  {
      return assignee;
    }

  /**
   * 受理人<br>
   *
   * @param assignee 受理人
   */
  public void setAssignee(String assignee)
  {
      this.assignee = assignee;
    }
  /**
   * 是否启用拦截器<br>
   */
  public Boolean getUsedInterceptor()
  {
      return usedInterceptor;
    }

  /**
   * 是否启用拦截器<br>
   *
   * @param usedInterceptor 是否启用拦截器
   */
  public void setUsedInterceptor(Boolean usedInterceptor)
  {
      this.usedInterceptor = usedInterceptor;
    }
  /**
   * 是否可见（在画布中显示）<br>
   */
  public Boolean getVisible()
  {
      return visible;
    }

  /**
   * 是否可见（在画布中显示）<br>
   *
   * @param visible 是否可见（在画布中显示）
   */
  public void setVisible(Boolean visible)
  {
      this.visible = visible;
    }
  /**
   * 图形样式<br>
   */
  public String getShape()
  {
      return shape;
    }

  /**
   * 图形样式<br>
   *
   * @param shape 图形样式
   */
  public void setShape(String shape)
  {
      this.shape = shape;
    }
  /**
   * 是否AnyToAny<br>
   */
  public Boolean getAnyToAny()
  {
      return anyToAny;
    }

  /**
   * 是否AnyToAny<br>
   *
   * @param anyToAny 是否AnyToAny
   */
  public void setAnyToAny(Boolean anyToAny)
  {
      this.anyToAny = anyToAny;
    }
  /**
   * 租户<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户<br>
   *
   * @param tenantId 租户
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }

  public SpDefEvent()
  {
  }

}
